From 65955d6c48319124c12c7901fb0c0cf8a466a1a1 Mon Sep 17 00:00:00 2001
From: David Oberhollenzer <david.oberhollenzer@sigma-star.at>
Date: Thu, 8 Apr 2021 12:06:03 +0200
Subject: Fix: libsquashfs: visibillity of mempool functions

Signed-off-by: David Oberhollenzer <david.oberhollenzer@sigma-star.at>
---
 include/mempool.h | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/include/mempool.h b/include/mempool.h
index 6d3990e..c946c31 100644
--- a/include/mempool.h
+++ b/include/mempool.h
@@ -8,6 +8,7 @@
 #define MEMPOOL_H
 
 #include "compat.h"
+#include "sqfs/predef.h"
 
 typedef struct mem_pool_t mem_pool_t;
 
@@ -15,13 +16,13 @@ typedef struct mem_pool_t mem_pool_t;
 extern "C" {
 #endif
 
-mem_pool_t *mem_pool_create(size_t obj_size);
+SQFS_INTERNAL mem_pool_t *mem_pool_create(size_t obj_size);
 
-void mem_pool_destroy(mem_pool_t *mem);
+SQFS_INTERNAL void mem_pool_destroy(mem_pool_t *mem);
 
-void *mem_pool_allocate(mem_pool_t *mem);
+SQFS_INTERNAL void *mem_pool_allocate(mem_pool_t *mem);
 
-void mem_pool_free(mem_pool_t *mem, void *ptr);
+SQFS_INTERNAL void mem_pool_free(mem_pool_t *mem, void *ptr);
 
 #ifdef __cplusplus
 }
-- 
2.30.2

